Skip to main content
GET
/
api
/
metastore
/
catalogs
/
{catalog_name}
/
schemas
/
{schema_name}
/
tables
/
{table_name}
/
metadata
Get metadata for a specific table from Datahub.
curl --request GET \
  --url https://api.example.com/api/metastore/catalogs/{catalog_name}/schemas/{schema_name}/tables/{table_name}/metadata \
  --header 'Authorization: Bearer <token>'
{
  "table_name": "<string>",
  "domains": [
    "<string>"
  ],
  "tags": [
    "<string>"
  ],
  "upstream_count": 123,
  "downstream_count": 123,
  "upstream_tables": [
    {
      "name": "<string>",
      "urn": "<string>"
    }
  ],
  "downstream_tables": [
    {
      "name": "<string>",
      "urn": "<string>"
    }
  ],
  "data_quality_assertions": [
    {
      "description": "<string>",
      "type": "<string>",
      "removed": true,
      "status": "<string>",
      "result": "<string>",
      "total_runs": 123
    }
  ],
  "description": "<string>",
  "data_product": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

catalog_name
string
required

Catalog name.

schema_name
string
required

Schema name.

table_name
string
required

Table name.

Response

Data retrieved successfully.

table_name
string
required

Name of the dataset/table.

domains
string[]
required

List of domains associated with the dataset.

tags
string[]
required

List of tags assigned to the dataset.

upstream_count
integer
required

Total number of upstream datasets in lineage.

downstream_count
integer
required

Total number of downstream datasets in lineage.

upstream_tables
LineageTable · object[]
required

List of upstream dataset names.

downstream_tables
LineageTable · object[]
required

List of downstream dataset names.

data_quality_assertions
DataQualityAssertion · object[]
required

List of data quality assertions defined on the dataset.

description
string | null

Description of the dataset if available.

data_product
string | null

Name of the data product that this dataset belongs to.